using Managing.Domain.Workers;
using static Managing.Common.Enums;

namespace Managing.Application.Abstractions.Services;

public interface IWorkerService
{
    Task DisableWorker(WorkerType workerType);
    Task EnableWorker(WorkerType workerType);
    Task<Worker> GetWorker(WorkerType workerType);
    Task<IEnumerable<Worker>> GetWorkers();
    Task InsertWorker(WorkerType workerType, TimeSpan delay);
    Task<bool> ToggleWorker(WorkerType workerType);
    Task UpdateWorker(WorkerType workerType, int executionCount);
}